<%@ Page Language="c#" CodeBehind="AdmWspNagrodaWydruk.aspx.cs" AutoEventWireup="True"
    Inherits="KOLKaP_WEB.KOLKaP.AdmWspNagrodaWydruk" UICulture="pl-PL" Culture="pl-PL" %>

<%@ Register TagPrefix="dx" Namespace="DevExpress.XtraReports.Web" Assembly="DevExpress.XtraReports.v14.2.Web, Version=14.2.10.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>AdmWspNagrodaWydruk</title>
    <script type="text/javascript">
        function UkryjOpcjeExportu() {
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI1_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI1_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI2_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI2_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI3_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI3_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI4_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI4_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI5_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI5_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI6_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI6_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI7_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I0_PM_DXI7_').style.display = 'none';
            }

            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI1_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI1_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI2_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI2_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI3_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI3_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI4_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI4_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI5_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI5_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI6_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI6_').style.display = 'none';
            }
            if (document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI7_') != null) {
                document.getElementById('dv_Splitter_RibbonToolbar_T0G1I1_PM_DXI7_').style.display = 'none';
            }
        }
    </script>
    <script type="text/javascript">
      function init(s) {
        var createFrameElement = s.viewer.printHelper.createFrameElement;
        s.viewer.printHelper.createFrameElement = function (name) {
          var frameElement = createFrameElement.call(this, name);
          var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);
          if (isChrome) {
            frameElement.addEventListener("load", function (e) {
              if (frameElement.contentDocument && frameElement.contentDocument.contentType !== "text/html")
                frameElement.contentWindow.print();
            });
          }
          return frameElement;
        }
      }
    </script>
</head>
<body onload="UkryjOpcjeExportu();">
    <form id="Form1" method="post" runat="server">
        <div>
            <dx:ASPxDocumentViewer ID="dv" runat="server" ToolbarMode="Ribbon">
              <ClientSideEvents Init="init" />
            </dx:ASPxDocumentViewer>
        </div>
    </form>
</body>
</html>
